Subject: [[email-masked]: ]

From: [email-masked] (Mi Mi)
Date: Fri, 10 Dec 93 13:57:20 CST

Please respond to the follwing message, if anyone of you can offer
some kind of help!

Mi Mi

======================================

Date:         Thu, 09 Dec 93 21:40:51 EST
>From: Lianzan XU <[email-masked]>
To: [email-masked]

Dear Mi Mi Sir and netter friends;

I have a question and hope to hear your advice as soon as possible. Thank you
all in advance.

My wife and I are both CSPAers and PR now. Our son came in Dec. 1991 on F-2.
When I graduated in May 92, he got Voluntary Departure from a local INS.
We did not know what VD was then and the INS officer told us our son could
change status later on. His application for PR was rejected as he would turn
21 at the end of AUG, 93. He is a FULL-TIME student now. He applied for F-1
and the receipt was dated 8/30/93.

More than 3 months passed with no approval notice and his VD expires on 1/1/94.
What should be done?

    a. Do nothing but wait? (2 more letters are sent without response. I called
       the whole morning today at INS Southern and cannot get through. Recorded
       message always the same"...should be processed within...60 days.")
       We have filed I-130 for him. Could that be a reason for the delay or
       even rejection of F-1 adjustment?

    b. Apply extension of VD? Will it be rejected?

    c. What is the implication for this? Will departure be the only outcome
       if.... Any one gets into similar situation?

WHAT should be done? Any advice, comment, suggestion will be appreciated.
Thank you very much!

Merry Christmas and Happy New Year!